Creators · Treasury

Get balance

Fetches balance.

GEThttps://api.pozy.ai/v1/balance
Enabled on requestgetBalance

Guide: Pay creators

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the money resource group disabled get 403 resource_group_disabled. Authentication

This endpoint is enabled per workspace. Until it is, calls return 403 feature_not_available. Email support@pozy.ai to turn it on.

Example

curl -X GET "https://api.pozy.ai/v1/balance" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • availableCentsinteger
  • payoutLockedCentsinteger
  • payoutLocksarray of object
    • topupIdstringrequired
    • amountCentsintegerrequired
    • chargedAtstring (date-time)required
    • unlocksAtstring (date-time)required
  • pendingCentsinteger
  • pendingReleasesarray of object
    • topupIdstringrequired
    • amountCentsintegerrequired
    • availableAtstring (date-time)required
  • pendingTopupCentsinteger
  • currencystring

    One of usd.

  • recentTopupsarray of object
    11 child fields
    • idstring
    • methodstring

      One of card, bank_transfer.

    • purposestring

      One of balance, payout_batch.

    • payoutBatchobject

      Can be null.

      2 child fields
      • idstring
      • campaignIdstring

        Can be null.

    • feeCoveredByPozyboolean
    • amountCentsinteger
    • stripeFeeCentsinteger

      Can be null.

    • netCentsinteger

      Can be null.

    • statusstring

      One of pending, succeeded, failed, expired.

    • createdAtstring (date-time)
    • succeededAtstring (date-time)

      Can be null.

200 response
{
  "availableCents": 1,
  "payoutLockedCents": 1,
  "payoutLocks": [
    {
      "topupId": "661baaf62e351f4bf7700103",
      "amountCents": 1,
      "chargedAt": "2026-10-02T09:00:00.000Z",
      "unlocksAt": "2026-10-02T09:00:00.000Z"
    }
  ],
  "pendingCents": 1,
  "pendingReleases": [
    {
      "topupId": "661baaf62e351f4bf7700103",
      "amountCents": 1,
      "availableAt": "2026-10-02T09:00:00.000Z"
    }
  ],
  "pendingTopupCents": 1,
  "currency": "usd",
  "recentTopups": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "method": "card",
      "purpose": "balance",
      "payoutBatch": {
        "id": "6bfebd43ddc270f6d2c56fc5",
        "campaignId": "65a3737dd8b11ea61f199e6e"
      },
      "feeCoveredByPozy": true,
      "amountCents": 1,
      "stripeFeeCents": 1,
      "netCents": 1,
      "status": "pending",
      "createdAt": "2026-10-02T09:00:00.000Z",
      "succeededAt": "2026-10-02T09:00:00.000Z"
    }
  ]
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Treasury